//========================================================================================
//
//	File:				FWHeader.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

// Need to include our definitions first to get values for preprocessor variables
// used in the toolbox headers. e.g. OLDROUTINENAMES.

#ifndef FWENVDEF_H
#include "FWEnvDef.h"
#endif

// Need to include tool vendors prefix file next because some of them (MetroWerks)
// define preprocessor variables (TRUE, FALSE) that are defined in toolbox headers
// without checking to see if they are defined first!

#if defined(__MWERKS__)
#include <MacHeaders.c>
#elif defined(THINK_CPLUS)
#include <Mac #includes.cpp>
#pragma template_access extern
#elif defined(__SC__)
#pragma template_access extern
#elif defined(__MRC__)
#pragma template_access extern
#else
#error Environment unknown
#endif

// Finally include our prefix file.

#include "FWHeader.h"

